

--Title: Restricting the GSS-HLFS-MSD wellbeing-benefit tables to participants who match to the IDI spine 
--Author: Chris K. Deak
--Date created: 24 January, 2023

--Last updated: 
--Last updated by: 
--Changes made: 



-- Set restrictions and save table 1 to Sandpit 

select t1. * 
into IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1_wgt_matched]
from IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1_wgt] as t1
left join (
select 
  snz_spine_ind 
  ,snz_uid
    from IDI_Clean_202206.data.personal_detail) as s1
	on t1.snz_uid = s1.snz_uid
	where snz_spine_ind = 1
order by survey_year,
hlfs_qrt,
hh_id,
snz_spine_ind
;

select * from IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1_wgt_matched]

-- Set restrictions and save table 2 to Sandpit 

select t2. * 
into IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd2_wgt_matched]
from IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd2_wgt] as t2
left join (
select 
  snz_spine_ind 
  ,snz_uid
    from IDI_Clean_202206.data.personal_detail) as s2
	on t2.snz_uid = s2.snz_uid
	where snz_spine_ind = 1
order by survey_year,
hlfs_qrt,
hh_id,
snz_spine_ind
;

select * from IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd2_wgt_matched]

-- delete tables from Sandpit:
--drop table IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1_wgt_matched]
--drop table IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd2_wgt_matched]

